<ion-content class="background" [scrollY]="false">
  <ion-row class="ion-align-items-center ion-justify-content-center">
    <ion-col size="12">
      <img class="logo" src="assets/imgs/Paatashala.png" style="width: 60%; z-index: 10;" />
    </ion-col>
  </ion-row>

  <ion-row>
    <ion-col size="12">
      <ion-segment [(ngModel)]="LoginType">
        <ion-segment-button value="Parent">Parent</ion-segment-button>
        <ion-segment-button value="Employee">Employee</ion-segment-button>
      </ion-segment>
    </ion-col>
  </ion-row>

  <div [ngSwitch]="LoginType">
    <ion-list *ngSwitchCase="'Parent'">
      <ion-item>
        <ion-input placeholder="Email" name="username" id="loginField" type="text"
          [(ngModel)]="loginData.Username"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input placeholder="Password" name="password" id="passwordField" type="password"
          [(ngModel)]="loginData.Password"></ion-input>
      </ion-item>

      <ion-button expand="full" (click)="login(loginData)">Login</ion-button>
      <ion-button expand="full" (click)="ParentnewUser()">Sign Up</ion-button>
      <ion-button expand="full" (click)="ParentforgetPassword()">Forgot Password</ion-button>
    </ion-list>

    <ion-list *ngSwitchCase="'Employee'">
      <ion-item>
        <ion-input placeholder="Email" name="username" id="loginField" type="text"
          [(ngModel)]="loginData.Username"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input placeholder="Password" name="password" id="passwordField" type="password"
          [(ngModel)]="loginData.Password"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input placeholder="Organisation Name" name="OrganisationName" id="OrganisationNameField" type="text"
          [(ngModel)]="loginData.OrgName"></ion-input>
      </ion-item>

      <ion-button expand="full" (click)="login(loginData)">Login</ion-button>
      <ion-button expand="full" (click)="EmployeeForgetPassword()">Forgot Password</ion-button>
    </ion-list>
  </div>

  <ion-row class="ion-align-items-center ion-justify-content-center">
    <ion-col size="12">
      <div class="bottom-logo-container">
        <h4>Powered by</h4>
        <img src="assets/imgs/ssg-logo.png" />
      </div>
    </ion-col>
  </ion-row>
</ion-content>